#!/bin/csh -f

# paste SCD files
# ./trim.csh (first dcd) (last dcd)

set i = $1
while ($i <= $2) # adjust to last dcd to be examined

# XZ: start from row 4 take every row of the system size xst file
# The # of points in dyn$i.dat MUST be the same as the # frames in the DCD
gunzip -dc $3/dyn$i.xst.gz | sed -n '4~1p' > dyn$i.dat

# XZ: take the 2nd column of the system size xst file
set num = 'printf("%1.4lf\n",$2);'
awk "{$num}" dyn$i.dat > dyn$i-cut.dat

rm -f dyn$i.dat
@ i = $i + 1
end

