#!/bin/csh -f
# full.csh (name to copy file)

cut -c8- all-avg-rdf-p.dat > temp.dat
awk '{printf("%1.1lf \n",$1);}' all-avg-rdf-p.dat > r.dat

# transpose rows to column to have each column as the first "bin" of the g(r) funciton
awk '{ for (i = 1; i <= NF; i++) f[i] = f[i] " " $i ; if (NF > n) n = NF } END { for (i = 1; i <= n; i++) sub(/^ */, "", f[i]) ; \
for (i = 1; i <= n; i++) print f[i]}' temp.dat > t-temp.dat

# average each column
awk '{for (i=1;i<=NF;i++){a[i]+=$i;}} END {for (i=1;i<=NF;i++){printf "%1.4f", a[i]/NR; printf "\t"};printf "\n"}' \
t-temp.dat > avg-temp.dat

# transpose back to original series to have g(r) as a sigle column
awk '{ for (i = 1; i <= NF; i++) f[i] = f[i] " " $i ; if (NF > n) n = NF } END { for (i = 1; i <= n; i++) sub(/^ */, "", f[i]) ; \
for (i = 1; i <= n; i++) print f[i]}' avg-temp.dat > traj-rdf.dat

# combine (r) and g(r) into a single file
paste r.dat traj-rdf.dat > rdf.dat

rm -f t-temp.dat temp.dat avg-temp.dat traj-rdf.dat temp-rdf.dat

# copy final file to common directory
# cp rdf.dat /lustre/.../$1.dat
